<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Category;
use Illuminate\Http\Request;

class CategoriesController extends Controller
{
    public function index()
    {
        $rows = Category::all();
        return view('admin.categories.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.categories.create');
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'name' => 'required',
            'image' => 'required|image'
        ]);
        Category::create($request->all());
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('categories.index');
    }

    public function edit($id)
    {
        $row = Category::find($id);
        return view('admin.categories.edit', compact('row'));
    }

    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'image' => 'image',
            'name' => 'required'
        ]);
        $row = Category::find($id);
        $row['name'] = $request['name'];
        if ($request->hasFile('image')) $row->setImageAttribute();
        $row->update();
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('categories.index');
    }

    public function destroy($id)
    {
        Category::destroy($id);
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('categories.index');
    }
}
