<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Notification;
use App\Models\UserTokens;
use App\User;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Http\Request;

class NotificationsController extends Controller
{
    public function index()
    {
        return view('admin.notifications.index');
    }

    public function store(Request $request)
    {
        $this->validate($request,[
           'body'=>'required'
        ]);
        foreach (User::all() as $user) {
            $notification = new Notification();
            $notification['user_id'] = $user->id;
            $notification['body'] = \request()->input('body');
            $notification['type'] = 'admin';
            $notification->save();

        }
        $tokens = UserTokens::where('status', 'connected')->get();


        foreach ($tokens as $token) {

            $push = new PushNotification('fcm');

            if ($token->device_type == 'ios') {
                $msg = [
                    'data' => [
                        'title' => \request()->input('body'),
                        'body' => \request()->input('body'),
                        'type' => 'admin',
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'notification' => [
                        'title' => \request()->input('body'),
                        'body' => \request()->input('body'),
                        'type' => 'admin',
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'priority' => 'high',
                ];
                $push->setMessage($msg)
                    ->setDevicesToken($token->token)
                    ->send();

            } else {
                $msg = [
                    'data' => [
                        'title' => \request()->input('body'),
                        'body' => \request()->input('body'),
                        'type' => 'admin',
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'priority' => 'high',
                ];
                $push->setMessage($msg)
                    ->setDevicesToken($token->token)
                    ->send();

            }


        }

        toast('تم ارسال الاشعارات بنجاح', 'success');
        return redirect()->back();
    }
}
