<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Slider;
use App\User;
use Illuminate\Http\Request;

class SlidersController extends Controller
{
    public function index()
    {
        $rows = Slider::all();
        return view('admin.sliders.index', compact('rows'));
    }

    public function create()
    {
        $users = User::whereType('salon')->whereStatus('active')->whereAdminApprove('true')->get();
        return view('admin.sliders.create', compact('users'));
    }

    public function store(Request $request)
    {
        $request->validate([
            'image' => 'required|image',
            //'user_id' => 'exists:users,id'
        ]);
        Slider::create($request->all());
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('sliders.index');
    }

    public function edit($id)
    {
        $row = Slider::find($id);
        $users = User::whereType('salon')->whereStatus('active')->whereAdminApprove('true')->get();
        return view('admin.sliders.edit', compact('users', 'row'));
    }

    public function update($id, Request $request)
    {
        $request->validate([
            'image' => 'image',
          //  'user_id' => 'exists:users,id'
        ]);

        $slider = Slider::find($id);
        if ($request->hasFile('image')) $slider->setImageAttribute();
        if ($request['user_id']) $slider->user_id = $request['user_id'];
        if ($request['url']) $slider->url = $request['url'];
        $slider->update();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('sliders.index');
    }

    public function destroy($id)
    {
        Slider::destroy($id);
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('sliders.index');
    }

}
