<?php

namespace App\Http\Controllers\Api\Client;

use App\Http\Controllers\Controller;
use App\Http\Resources\ClientNotificationResource;
use Illuminate\Http\Request;
use JWTAuth;

class NotificationsController extends Controller
{
    public function client_notifications()
    {
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('wrong token'), 'code' => 401]);
        }

        $rows = $user->notifications()->paginate(10);
        return ClientNotificationResource::collection($rows)->additional(['value' => true, 'code' => 200]);

    }

}
