<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSalonsTable extends Migration {

	public function up()
	{
		Schema::create('salons', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('user_id')->unsigned();
			$table->string('lat', 191)->nullable();
			$table->string('lng', 191)->nullable();
			$table->enum('type', array('salon', 'freelance'))->nullable();
			$table->text('details')->nullable();
			$table->text('address')->nullable();
			$table->enum('always_open', array('true', 'false'))->nullable();
			$table->enum('receive_notifications', array('true', 'false'))->nullable()->default('true');
			$table->string('salon_title', 191)->nullable();
			$table->string('image', 191)->nullable();
			$table->string('wallet', 191)->nullable();
		});
	}

	public function down()
	{
		Schema::drop('salons');
	}
}
