<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('users', function(Blueprint $table) {
			$table->foreign('city_id')->references('id')->on('cities')
						->onDelete('set null')
						->onUpdate('restrict');
		});
		Schema::table('salons', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('salon_images', function(Blueprint $table) {
			$table->foreign('salon_id')->references('id')->on('salons')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('salon_categories', function(Blueprint $table) {
			$table->foreign('salon_id')->references('id')->on('salons')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('salon_categories', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('categories')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('services', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('categories')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('services', function(Blueprint $table) {
			$table->foreign('salon_id')->references('id')->on('salons')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('packages', function(Blueprint $table) {
			$table->foreign('salon_id')->references('id')->on('salons')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('salon_comments', function(Blueprint $table) {
			$table->foreign('salon_id')->references('id')->on('salons')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('salon_comments', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('salon_times', function(Blueprint $table) {
			$table->foreign('salon_id')->references('id')->on('salons')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('favourites', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('favourites', function(Blueprint $table) {
			$table->foreign('salon_id')->references('id')->on('salons')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('rooms', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('rooms', function(Blueprint $table) {
			$table->foreign('salon_id')->references('id')->on('salons')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('chats', function(Blueprint $table) {
			$table->foreign('sender_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('chats', function(Blueprint $table) {
			$table->foreign('receiver_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('chats', function(Blueprint $table) {
			$table->foreign('room_id')->references('id')->on('rooms')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('salon_accounts', function(Blueprint $table) {
			$table->foreign('salon_id')->references('id')->on('salons')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('salon_bank_transfers', function(Blueprint $table) {
			$table->foreign('salon_id')->references('id')->on('salons')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('orders', function(Blueprint $table) {
			$table->foreign('salon_id')->references('id')->on('salons')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('orders', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('orders', function(Blueprint $table) {
			$table->foreign('package_id')->references('id')->on('packages')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('order_services', function(Blueprint $table) {
			$table->foreign('order_id')->references('id')->on('orders')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('order_services', function(Blueprint $table) {
			$table->foreign('service_id')->references('id')->on('services')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('notifications', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('notifications', function(Blueprint $table) {
			$table->foreign('order_id')->references('id')->on('orders')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('users', function(Blueprint $table) {
			$table->dropForeign('users_city_id_foreign');
		});
		Schema::table('salons', function(Blueprint $table) {
			$table->dropForeign('salons_user_id_foreign');
		});
		Schema::table('salon_images', function(Blueprint $table) {
			$table->dropForeign('salon_images_salon_id_foreign');
		});
		Schema::table('salon_categories', function(Blueprint $table) {
			$table->dropForeign('salon_categories_salon_id_foreign');
		});
		Schema::table('salon_categories', function(Blueprint $table) {
			$table->dropForeign('salon_categories_category_id_foreign');
		});
		Schema::table('services', function(Blueprint $table) {
			$table->dropForeign('services_category_id_foreign');
		});
		Schema::table('services', function(Blueprint $table) {
			$table->dropForeign('services_salon_id_foreign');
		});
		Schema::table('packages', function(Blueprint $table) {
			$table->dropForeign('packages_salon_id_foreign');
		});
		Schema::table('salon_comments', function(Blueprint $table) {
			$table->dropForeign('salon_comments_salon_id_foreign');
		});
		Schema::table('salon_comments', function(Blueprint $table) {
			$table->dropForeign('salon_comments_user_id_foreign');
		});
		Schema::table('salon_times', function(Blueprint $table) {
			$table->dropForeign('salon_times_salon_id_foreign');
		});
		Schema::table('favourites', function(Blueprint $table) {
			$table->dropForeign('favourites_user_id_foreign');
		});
		Schema::table('favourites', function(Blueprint $table) {
			$table->dropForeign('favourites_salon_id_foreign');
		});
		Schema::table('rooms', function(Blueprint $table) {
			$table->dropForeign('rooms_user_id_foreign');
		});
		Schema::table('rooms', function(Blueprint $table) {
			$table->dropForeign('rooms_salon_id_foreign');
		});
		Schema::table('chats', function(Blueprint $table) {
			$table->dropForeign('chats_sender_id_foreign');
		});
		Schema::table('chats', function(Blueprint $table) {
			$table->dropForeign('chats_receiver_id_foreign');
		});
		Schema::table('chats', function(Blueprint $table) {
			$table->dropForeign('chats_room_id_foreign');
		});
		Schema::table('salon_accounts', function(Blueprint $table) {
			$table->dropForeign('salon_accounts_salon_id_foreign');
		});
		Schema::table('salon_bank_transfers', function(Blueprint $table) {
			$table->dropForeign('salon_bank_transfers_salon_id_foreign');
		});
		Schema::table('orders', function(Blueprint $table) {
			$table->dropForeign('orders_salon_id_foreign');
		});
		Schema::table('orders', function(Blueprint $table) {
			$table->dropForeign('orders_user_id_foreign');
		});
		Schema::table('orders', function(Blueprint $table) {
			$table->dropForeign('orders_package_id_foreign');
		});
		Schema::table('order_services', function(Blueprint $table) {
			$table->dropForeign('order_services_order_id_foreign');
		});
		Schema::table('order_services', function(Blueprint $table) {
			$table->dropForeign('order_services_service_id_foreign');
		});
		Schema::table('notifications', function(Blueprint $table) {
			$table->dropForeign('notifications_user_id_foreign');
		});
		Schema::table('notifications', function(Blueprint $table) {
			$table->dropForeign('notifications_order_id_foreign');
		});
	}
}